| Kea 3.0.2-git

d_cfg_mgr.h File Reference
`#include <cc/data.h>`
`#include <cc/cfg_to_element.h>`
`#include <cc/user_context.h>`
`#include <process/config_base.h>`
`#include <exceptions/exceptions.h>`
`#include <stdint.h>`
`#include <functional>`
`#include <list>`
`#include <string>`
Include dependency graph for d_cfg_mgr.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::process::DCfgMgrBase
| Configuration Manager. More...
class | isc::process::DCfgMgrBaseError
| Exception thrown if the configuration manager encounters an error. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::process

## Typedefs
typedef boost::shared_ptr< DCfgMgrBase > | isc::process::DCfgMgrBasePtr
| Defines a shared pointer to DCfgMgrBase.
typedef std::map< std::string, isc::data::ConstElementPtr > | isc::process::ElementMap
| Defines a map of ConstElementPtrs keyed by name.